跳转到主要内容
GET
/
projects
/
{projectId}
/
exports
List project exports
curl --request GET \
  --url https://api.youka.io/api/v1/projects/{projectId}/exports \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.youka.io/api/v1/projects/{projectId}/exports"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.youka.io/api/v1/projects/{projectId}/exports', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "fileId": "<string>",
    "fileKey": "<string>",
    "fileSize": 123,
    "resolution": "<string>",
    "quality": "<string>",
    "fps": 123,
    "transparent": true
  }
]

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

projectId
string
必填

查询参数

page
integer
默认值:1
必填范围: x >= 1
pageSize
integer
默认值:100
必填范围: 1 <= x <= 100

响应

200 - application/json

Project export list

id
string
必填
status
enum<string>
必填
可用选项:
created,
queued,
in-progress,
completed,
failed,
cancelled,
timed-out,
finalized
createdAt
string
必填
updatedAt
string
必填
fileId
string | null
fileKey
string | null
fileSize
number | null
resolution
string
quality
string
fps
transparent
boolean
renderMode
enum<string>
可用选项:
standard,
fast
renderBackend
enum<string>
可用选项:
batch,
lambda